package eu.mhsl.craftattack.spawn.appliances.infoBars.bars;

import eu.mhsl.craftattack.spawn.appliances.infoBars.Bar;
import net.kyori.adventure.bossbar.BossBar;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.Bukkit;

import java.time.Duration;

public class MsptBar extends Bar {
    @Override
    protected Duration refresh() {
        return Duration.ofSeconds(1);
    }

    @Override
    protected String name() {
        return "mspt";
    }

    @Override
    protected Component title() {
        return Component.text()
            .append(Component.text("M"))
            .append(Component.text("illi", NamedTextColor.GRAY))
            .append(Component.text("S"))
            .append(Component.text("econds ", NamedTextColor.GRAY))
            .append(Component.text("P"))
            .append(Component.text("er ", NamedTextColor.GRAY))
            .append(Component.text("T"))
            .append(Component.text("ick", NamedTextColor.GRAY))
            .build();
    }

    @Override
    protected float progress() {
        return Bukkit.getServer().getTickTimes()[0] / 50f;
    }

    @Override
    protected BossBar.Color color() {
        return BossBar.Color.YELLOW;
    }

    @Override
    protected BossBar.Overlay overlay() {
        return BossBar.Overlay.NOTCHED_10;
    }
}
